function FG = Fmaker(node, elem, Etheta, gamma, nelems, nnodes, FG, Glength)
% Function Fmaker to make gloabl F vector by calculating the local f's and
% then adding to the global F vector
% Thomas Reeve and Boyang Tang
% ME 599-3, Winter 2006
% Last Modified 4/21/06

for fi=1:nelems
    
    %The nodes of the element
    node1=elem(fi,1);
    node2=elem(fi,2);
    
    % Delcare Constants for this element
    % Declare the constants for this element
    S = sin(Etheta(fi));
    C = cos(Etheta(fi));
    
    %Assemble the global f vector
    if node1==1
        FG(1)=FG(1)+gamma*C;
        FG(2)=FG(2)+gamma*S;
    elseif node1==2
        FG(4)=FG(4)+gamma*C;
        FG(5)=FG(5)+gamma*S;
    else
        FG(4*(node1-1))=FG(4*(node1-1))+gamma*C;
        FG(4*(node1-1)+1)=FG(4*(node1-1)+1)+gamma*S;
    end
    
    if node2==1
        FG(1)=FG(1)-gamma*C;
        FG(2)=FG(2)-gamma*S;
    elseif node2==2
        FG(4)=FG(4)-gamma*C;
        FG(5)=FG(5)-gamma*S;
    else
        FG(4*(node2-1)) = FG(4*(node2-1))-gamma*C;
        FG(4*(node2-1)+1) = FG(4*(node2-1)+1)-gamma*S;
    end
    
end