function [Elength, Etheta] = lengle(node, elem, nelems)
% Function lengle to find the lengths and angles of all the elements in the
% model for each time step and return them to the master script file as
% global variables
% Thomas Reeve and Boyang Tang
% ME 599-3, Winter 2006
% Last Modified 4/19/06

for i=1:nelems
    %Find the node numbers
    node1=elem(i,1);
    node2=elem(i,2);
    
    %Nodal positions
    x1=node(node1,1);
    y1=node(node1,2);
    x2=node(node2,1);
    y2=node(node2,2);
    
    %The length of the element
    Elength(i)=sqrt((x2-x1)^2+(y2-y1)^2);
    Etheta(i)=0;
    
    %The angle of the element, in radians
    if and(x1<x2,y1==y2) %+ horizontal
        Etheta(i)=0;        
    elseif and(x1<x2,y1<y2) %First quadrent
        Etheta(i)=asin((y2-y1)/Elength(i));
    elseif and(x1==x2,y1<y2) %+ vertical
        Etheta(i)=pi/2;
    elseif and(x1>x2,y1<y2) %Second quadrent
        Etheta(i)=pi-asin((y2-y1)/Elength(i));
    elseif and(x1>x2,y1==y2) %- horizontal
        Etheta(i)=pi;
    elseif and(x1>x2,y1>y2) %Third quadrent
        Etheta(i)=pi+asin((y1-y2)/Elength(i));
    elseif and(x1==x2,y1>y2) %- vertical
        Etheta(i)=1.5*pi;
    elseif and(x1<x2,y1>y2) %Fourth quadrent
        Etheta(i)=2*pi-asin((y1-y2)/Elength(i));
    end
    
end