% Script Node Maker mFile for ME 599-3 Nanoscale Diffusion Solid Droplet Project
% This is a script file used to make the nodal positons for a groove given
% a total x length, a groove width, a groove depth and a resolution
% Thomas Reeve and Boyang Tang
% ME 599-3, Winter 2006
% Last modified 4/21/06

clear all
close all
clc

% Independent Constants, rest flow from her
totalL = 1;       % Total Length
totalD = 0.5;     % Deepest Depth
dipW = 0.3;       % Width of Groove
res = 0.1;        % Length of Elements

leftside = (totalL-dipW)/2;
rightstart = (totalL/2) +(dipW/2);

% Left Edge Nodal making, starts from (0,0)
nleft = ceil(leftside/res);
for i=1:nleft
    node(i,1) = (i-1)*res;
    node(i,2) = 0;
end

% Left groove wall nodal making
ndown = ceil(totalD/res);
for h=1:ndown
    node(i+h,1) = node(i,1); % Keeps in line vertically with the last node
    node(i+h,2) = -h*res;
end

n = i+h; % keep track of which node on

% Groove Bottom nodal making
nbase = ceil(dipW/res);
for r=1:nbase
    node(n+r,1) = node(nleft,1) + (r*res);
    node(n+r,2) = node(n,2);
end

n = n+r; % keep track of which node on

% Right groove wall nodal making
nup = ndown;
for w=1:nup
    node(n+w,1) = node(n,1);
    node(n+w,2) = node(n,2) + (w*res);
end

n = n+w; % keep track of which node on

% Right Edge nodal making
nright = ceil(leftside/res);
for q=1:nright
    node(n+q,1) = node(n,1) + q*res;
    node(n+q,2) = 0;
end


